package App::ListPicture;

use strict;
use warnings;

use Carp;
use Data::Dumper;
use Template;

use vars qw(%c $session $cgi);
*c = \*app::c;
*session = \$app::session;
*cgi = \$app::cgi;

sub init_search
{
	my $this = shift;

	if ( $this->{firstrun} )
	{
		# set up initial search field values
		for ( @{$this->{listdef}->{initsearch}} )
		{
			$this->fv($_->[0], $_->[1], $_->[2]);
		}
	}
}

sub picture_thumbnail
{
  my $this = shift;
  my %arg = (@_);
  my $field = $arg{field};
  my $rp = $arg{rp};
  my $id = $rp->id;
  my $month = $rp->month;
  my $coll = $rp->collection_type;
return <<EOM;
<a href="/${id}.jpg" border="1" target="_blank"><img src="/thumb/${id}.jpg" /></a>
EOM
}

sub picture
{
  my $this = shift;
  my %arg = (@_);
  my $field = $arg{field};
  my $rp = $arg{rp};
  my $id = $rp->id;
  '<img src="/'.$id.'.jpg" />';
}

1;
__END__

=head1 NAME

App::ListPicture

=head1 DESCRIPTION

List of user

=head1 AUTHOR

Peter Edwards of Dragonstaff Limited <peter@dragonstaff.co.uk>

=head1 COPYRIGHT

Copyright (c) 2007 Dragonstaff Limited.

All rights reserved.

=cut

