#!/usr/bin/perl
# -T
# app.pl - entry point for lightweight perl framework application

package app;

use strict;
use warnings;
#use CGI;
#use CGI::Carp qw/fatalsToBrowser/;
use FindBin::Real;
use lib qw(
  /home/peter/perl/lib
  /home/peter/perl/lib/perl5
  /home/peter/perl/lib/perl5/site_perl/5.8.5/
  );


{
  # set up library path and dir so this works under CGI and mod_perl servers
  my $bin = FindBin::Real::Bin();
  unshift @INC, $bin;
  chdir($bin);
  require App::Web; # "require" not "use" to allow dynamic setting of lib
  App::Web->run();
}

1;
__END__

=head1 NAME

app.pl

=head1 DESCRIPTION

Entry point for a lightweight perl framework application

=head1 AUTHOR

Peter Edwards of Dragonstaff Limited <peter@dragonstaff.co.uk>

=head1 COPYRIGHT

Copyright (c) 2007 Dragonstaff Limited.

All rights reserved.

=cut
