#!/usr/bin/perl
# appstartup.pl - preloading for a lightweight perl framework application

# Perl site libraries
use lib (qw|
  /home/peter/perl/lib
  /home/peter/perl/lib/perl5
  /home/peter/perl/lib/perl5/site_perl/5.8.5/
|);

# App program directory
use lib (qw|
  /home/peter/wdev/lpf/app
|);

# CPAN modules
use Carp();
use CGI();
CGI->compile(':all');
use CGI::Session();
use FindBin::Real();
use Data::Dumper();
use Config::General();
use Template();
use Mail::SendVarious();
use Image::Thumbnail();
use Time::HiRes();
use Template::Plugin();
use Digest::MD5();
use XML::Simple();
use DBI();
DBI->install_driver("mysql");
use DBIx::Class();

# application modules
use App::Web();
use App::Controller();
use App::Model();
use App::Widget();
use App::ListBase();


1;
__END__

=head1 NAME

appstartup.pl

=head1 DESCRIPTION

mod_perl preloading for a lightweight perl framework application

=head1 AUTHOR

Peter Edwards of Dragonstaff Limited <peter@dragonstaff.co.uk>

=head1 COPYRIGHT

Copyright (c) 2007 Dragonstaff Limited.

All rights reserved.

=cut
